#appDiv {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#canvasesDiv {
    display: flex;
}

.canvasDiv {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.canvasDiv canvas {
    max-width: 100%;
}

#allSlidersDiv {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.sliderDiv {
    display: flex;
    justify-content: space-between;
}


/* sliders should take up all extra space in parent container */

.sliderDiv input {
    flex-grow: 1;
}


/* draw border for elements being debugged */

.debug {
    border: 1px solid red;
}